%global _empty_manifest_terminate_build 0
Name:           python-flit
Version:        3.8.0
Release:        2
Summary:        Simplified packaging of Python modules
License:        BSD-3-Clause
URL:            https://flit.readthedocs.io/en/latest/
Source0:        https://files.pythonhosted.org/packages/28/c6/c399f38dab6d3a2518a50d334d038083483a787f663743d713f1d245bde3/flit-3.8.0.tar.gz
Patch1:         0001-fix-the-multipkg-mis-check.patch
BuildArch:      noarch

Requires:       python3-requests python3-docutils python3-toml python3-setuptools
Requires:       python3-flit-core = %{version}-%{release}

%description
Flit is a simple way to put Python packages and modules on PyPI.
The specific usage is introduced on the website(https://flit.readthedocs.io/en/latest/), or query README.

%package -n python3-flit
Summary:	Simplified packaging of Python modules
Provides:	python-flit = %{version}-%{release}
BuildRequires:	python3-devel python3-pip python3-requests python3-docutils python3-pygments python3-pytoml
%description -n python3-flit
Flit is a simple way to put Python packages and modules on PyPI.
The specific usage is introduced on the website(https://flit.readthedocs.io/en/latest/), or query README.

%package -n python3-flit-core
Summary:        PEP 517 build backend for packages using Flit
Conflicts:      python3-flit < 2.1.0-2
Requires:       python3-toml

%description -n python3-flit-core
This provides a PEP 517 build backend for packages using Flit. The only public interface is the API specified by PEP 517, at flit_core.buildapi.

%prep
%autosetup -p1 -n flit-%{version}

%build
export FLIT_NO_NETWORK=1
pushd flit_core
%pyproject_build
popd
export PYTHONPATH=$PWD:$PWD/flit_core
%pyproject_build

%install
cd flit_core
pip3 install -I build/flit_core-%{version}-py3-none-any.whl --root %{buildroot} --no-deps
cd -
pip3 install -I build/flit-%{version}-py3-none-any.whl --root %{buildroot} --no-deps

%files -n python3-flit-core
%license LICENSE
%doc flit_core/README.rst
%{python3_sitelib}/flit_core-*.dist-info/
%{python3_sitelib}/flit_core/

%files -n python3-flit
%{python3_sitelib}/*
%{_bindir}/flit
%license LICENSE
%doc README.rst

%changelog
* Thu Jun 1 2023 Dongxing Wang <dxwangk@isoftstone.com> - 3.8.0-2
- fix multipkg mis-check

* Tue Apr 25 2023 liyanan <thistleslyn@163.com> - 3.8.0-1
- Update to 3.8.0

* Tue Jun 16 2020 hanxinke <hanxinke@huawei.com> - 1.0-6
- update python version

* Thu Nov 21 2019 Wanjiankang <wanjiankang@huawei.com> - 1.0-5
- Package Init
